Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire
Class IQHandlerInfo

    java.lang.Object
      org.jivesoftware.openfire.IQHandlerInfo

    public class IQHandlerInfo

extends Object

A simple meta-data class that stores several related tools for generic IQ protocol handling.

To handle an IQ packet, the server needs to know:

- The fully qualified name of the iq sub-element. IQ packets are identified using this information when matching to a handler.
- The IQHandler that will handle this packet if addressed to the server (no 'to' attribute).
- The IQ parser to use to generate the correct IQ packet.

We provide this information by having all IQHandlers report their info. Interested parties can watch for IQHandlers in the service lookup and build appropriate data structures on the current state of IQ handlers in the system.

Author:
  Iain Shigeoka

Constructor Summary
`IQHandlerInfo(String name, String namespace)` Construct an info object.

Method Summary
`String` | `getName()` Obtain the name of the root iq element for this packet type.
`String` | `getNamespace()` Obtain the namespace of the root iq element for this packet type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IQHandlerInfo

    public IQHandlerInfo(String name,
                         String namespace)

  Construct an info object.

  Parameters:
    `name` - The name of the root iq element
    `namespace` - The namespace of the root iq element

Method Detail

### getName

    public String getName()

  Obtain the name of the root iq element for this packet type.

  Returns:
    The name of the root iq element

### getNamespace

    public String getNamespace()

  Obtain the namespace of the root iq element for this packet type.

  Returns:
    the namespace of the root iq element.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.